﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace jcmsTest.System_Administration
{
    public partial class SysAdmBaseForm : Form
    {
        public SysAdmBaseForm()
        {
            InitializeComponent();
        }

        protected void commit_Changes()
        {
            for (int ii = 0; ii < this.ultraGrid.Rows.Count; ii++)
                for (int jj = 0; jj < this.ultraGrid.Rows[ii].Cells.Count; jj++)
                    this.ultraGrid.Rows[ii].Cells[jj].Appearance.BackColor = Color.White;
        }

        private void ultraGrid_AfterRowUpdate(object sender, Infragistics.Win.UltraWinGrid.RowEventArgs e)
        {
            saveButton.Enabled = true;
        }

        private void ultraGrid_AfterRowsDeleted(object sender, EventArgs e)
        {
            saveButton.Enabled = true;
        }

        private void ultraGrid_CellChange(object sender, Infragistics.Win.UltraWinGrid.CellEventArgs e)
        {
            saveButton.Enabled = true;
            e.Cell.Appearance.BackColor = Color.Yellow;
        }

        private void SysAdmBaseForm_FormClosing(object sender, FormClosingEventArgs e)
        {
            if (ultraGrid.CurrentState == Infragistics.Win.UltraWinGrid.UltraGridState.InEdit)
                ultraGrid.PerformAction(Infragistics.Win.UltraWinGrid.UltraGridAction.ExitEditMode);
            for (int ii = 0; ii < this.ultraGrid.Rows.Count; ii++)
            {
                if (this.ultraGrid.Rows[ii].DataChanged)
                {
                    switch (MessageBox.Show(jcmsTest.Properties.Resources.saveChanges, this.Text, MessageBoxButtons.YesNoCancel))
                    {
                        case System.Windows.Forms.DialogResult.No:
                            return;
                        case System.Windows.Forms.DialogResult.Cancel:
                            e.Cancel = true;
                            return;
                        case System.Windows.Forms.DialogResult.Yes:
                            commit_Changes();
                            return;
                    }
                }
            }
        }
    }
}
